Environment Provisioning - Get Supported Locations

Gets the list of supported locations for environment provisioning.

GET https://api.powerplatform.com/environmentmanagement/provisioning/locations?api-version=2024-10-01

URI Parameters

Name In Required Type Description
api-version
query True

string

The API version.

Responses

Name Type Description
200 OK

LocationPagedCollection

OK

Media Types: "text/plain", "application/json", "text/json"

400 Bad Request

ValidationResponse

Bad Request

Media Types: "text/plain", "application/json", "text/json"

404 Not Found

ValidationResponse

Not Found

Media Types: "text/plain", "application/json", "text/json"

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
ErrorEntry

Represents the error detail for a single entry in an error dictionary.

ErrorInfo

Represents error information for an operation.

Location

Represents a location/geo for environment provisioning.

LocationPagedCollection
ValidationResponse

Represents the response for validation of an operation.

ErrorEntry

Represents the error detail for a single entry in an error dictionary.

Name Type Description
errorMessages

string[]

The error messages describing what is wrong.

suggestedValue

string

A suggested or accepted value that would resolve the error.

ErrorInfo

Represents error information for an operation.

Name Type Description
code

string

The error Code.

fieldErrors

<string,  ErrorEntry>

The detailed error.

Location

Represents a location/geo for environment provisioning.

Name Type Description
canProvisionDatabase

boolean

Whether database provisioning is allowed.

code

string

The location code.

displayName

string

The display name.

isDefault

boolean

Whether this is the default location.

isDisabled

boolean

Whether this location is disabled.

name

string

The location name.

LocationPagedCollection

Name Type Description
collection

Location[]

Represents a location/geo for environment provisioning.

continuationToken

string

ValidationResponse

Represents the response for validation of an operation.

Name Type Description
errorDetail

ErrorInfo

Represents error information for an operation.